Description

Exceptions with a long message are hard to read when rendered with the DebugExceptionHandler currently:
http://dl.dropbox.com/u/314491/Screenshots/2k_jvcqhvlbl.png

Things could be improved by running the message through nl2br() and reducing the font weight

Associated revisions
Revision ebfb00bf - 2013-09-06 12:46 - Bastian Waidelich

[FEATURE] Improve rendering of large exceptions

Splits exception messages containting multiple sentences and/or
line breaks into "subject" and "body" and renders the body with
nl2br().

Change-Id: I432aaf5a3468903c3f91917c2373cebc9887a8ef
Resolves: #51713
Releases: master

History
#1 - 2013-09-04 12:15 - Bastian Waidelich
- File Before_short.png added
- File Before_short_nested.png added
- File Before_large.png added
- File Before_large_nested.png added

#2 - 2013-09-04 12:16 - Bastian Waidelich
- File After_short.png added
- File After_short_nested.png added
- File After_large.png added
- File After_large_nested.png added

#3 - 2013-09-04 12:18 - Bastian Waidelich

Before

Short:

Before_short.png
Short (nested exception):

Before_short_nested.png

Large:

Before_large.png

Large (nested exception):

Before_large_nested.png

Afterwards

Short:

After_short.png

Short (nested exception):

After_short_nested.png

Large:

After_large.png

Large (nested exception):

After_large_nested.png

#4 - 2013-09-04 12:24 - Bastian Waidelich
- File Iframe.png added

Just an idea I wanted to check out: The exception renderer checking if the "more information" page exists and inserts it as IFrame if so.. Too invasive
IMO, but this would be the result:

Iframe.png

#5 - 2013-09-06 12:46 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23659

#6 - 2013-09-24 15:18 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
